Issue bulk coupons

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API allows you to issue a batch of coupon series to a customer, enabling the customer to redeem the coupons.

curl --location 'https://eu.api.capillarytech.com/v2/coupon/bulk/issue' \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic WY5MGY1NTY5NDk1YmNkNzUxYmJiY2U=' \
--header 'Cookie: _cfuvid=iUU642uBGHYKi7aKv0EaF6GgKEIXn1f._QJI-1768893329218-0.0.1.1-604800000' \
--data '{
"seriesIds" :[544770,553379],

"customer":

  {
   "id":"566881933"
  },
  "metadata": {
        "sourceType": "Journeys",
        "sourceId": "journey-block-001",
        "sourceActivity": "Tier upgrade",
        "notes": "Issued as part of loyalty tier upgrade batch",
        "reason": "Tier upgrade benefit"
    }
}'

Prerequisites

  • Authentication: Basic or OAuth authentication
  • Default access group

Resource information

URI/v2/coupon/bulk/issue
HTTP methodPOST
PaginationNA
Batch supportYes

API endpoint example

https://eu.api.capillarytech.com/v2/coupon/bulk/issue

Request body parameters

FieldTypeRequiredDescription
seriesIds*Array of IntegersYesList of coupon series IDs
customer*ObjectYesThe object containing the details of the customer
customer.idStringOptionalUnique identifier of the customer
metadataObjectOptionalDefines the tracking and auditing information for the bulk coupon issuance.
..sourceTypeStringOptionalSpecifies the category of the source initiating the issuance (e.g., POS, Web, App, ServiceDesk). Supports alphanumeric characters, spaces, and special characters up to a maximum length of 50.
..sourceIdStringOptionalIndicates the unique reference ID of the triggering entity (e.g., transaction flow ID, rule ID). Supports alphanumeric characters, spaces, and special characters up to a maximum length of 50.
..sourceActivityStringOptionalIndicates the specific event that caused the coupon to be issued (e.g., Birthday trigger, Manual goodwill, Post-purchase bounce-back). Supports alphanumeric characters, spaces, and special characters up to a maximum length of 50.
..notesStringOptionalSpecifies additional comments about this bulk issuance (e.g., approved by store manager). Supports alphanumeric characters, spaces, and special characters up to a maximum length of 250.
..reasonStringOptionalSpecifies the business justification for issuing the coupon (e.g., goodwill, campaign reward). Supports alphanumeric characters, spaces, and special characters up to a maximum length of 250.

Response parameters

ParametertypeDescription
responseArray of ObjectsList of responses for entities.
.entityIdIntegerUnique Identifier of the entity.
.resultObjectThe object containing the result of the entity.
..codeStringUnique code of the coupon.
..seriesIdIntegerUnique Identifier of the coupon.
..descriptionStringThe description of the coupon.
..discountCodeStringThis code is defined during the creation of a coupon series and is used as a POS identifier on member care. This will be used by the cashier at the Point of Sale machine.
..validTillStringExpiry date and time of the coupon in ISO 8601 format, returned in the server time zone. EU server example: 2026-06-11T00:00:00Z → 11 June 2026, 00:00:00 (UTC). India server example: 2026-06-11T05:30:00+05:30 → 11 June 2026, 05:30:00 (IST). Note: The response time zone always matches the server time zone, regardless of the time zone offset in the request.
..validTillDateTimeStringSpecifies the exact expiry date and time of a coupon in ISO 8601 format (e.g., "2026-06-11T23:59:59Z"), indicating the precise moment until which the coupon can be redeemed.
..discountTypeStringSpecifies the type of discount provided by the coupon. Supported values: ABS (a fixed amount is discounted), PERC (a percentage of the total amount is discounted).
..discountValueIntegerThe value of the discount.
..discountUptoIntegerThe maximum value up to which the discount can be applied.
..discountOnStringThe aspect on which the discount is applied. Supported values: BILL.
..detailedInfoStringDetailed information about the coupon.
..redemptionCountIntegerNumber of times the coupon has been redeemed.
..idIntegerID of the result.
.errorsArrayThe array of errors in the response.
.warningsArrayThe array of warning messages in the response.
totalCountIntegerTotal count of entities processed.
failureCountIntegerCount of entities that failed to process.

Example response

{
    "response": [
        {
            "entityId": 951540,
            "result": {
                "code": "875410568",
                "seriesId": 951540,
                "description": "doc_coupon01",
                "discountCode": "XYZ12345",
                "validTill": "2026-06-11T00:00:00Z",
                "discountType": "ABS",
                "discountValue": 500.0,
                "discountUpto": 0.0,
                "discountOn": "BILL",
                "detailedInfo": "doc_coupon01",
                "redemptionCount": 0,
                "id": 0,
                "validTillDateTime": "2026-06-11T23:59:59Z"
            },
            "errors": [],
            "warnings": []
        },
        {
            "entityId": 951539,
            "result": {
                "code": "923356739",
                "seriesId": 951539,
                "description": "Gold star coupons",
                "discountCode": "gold1234",
                "validTill": "2026-06-11T00:00:00Z",
                "discountType": "ABS",
                "discountValue": 1000.0,
                "discountUpto": 0.0,
                "discountOn": "BILL",
                "detailedInfo": "Gold star coupons",
                "redemptionCount": 0,
                "id": 0,
                "validTillDateTime": "2026-06-11T23:59:59Z"
            },
            "errors": [],
            "warnings": []
        }
    ],
    "totalCount": 2,
    "failureCount": 0
}
Query Params
string
enum
required
string
Body Params
seriesIds
array of int32s
required
seriesIds*
customer
object
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json